'This code was written by Inj and Bodhi3.
'

Attribute VB_Name = "Module1"
Option Explicit



Public Type pbEntry
    UID As Long
    CID As Integer
    Loc As Integer
End Type

Public Type pbNumber
    Icon As Byte
    Number As String * 40
    Null As Byte
End Type

Public Type pbNote
    Icon As Integer
    Lenght As Integer
    Text As String * 40
End Type

Public Type pbRecord
    OnSIM As Byte
    Group As Byte
    HasName As Integer
    HasNum1 As Integer
    HasNum2 As Integer
    HasNum3 As Integer
    HasNote1 As Integer
    HasNote2 As Integer
    Pad As Integer
    Name As String * 20
    Num1 As pbNumber
    Num2 As pbNumber
    Num3 As pbNumber
    Note1 As pbNote
    Note2 As pbNote
End Type

Public Type CalEntry
UID As Integer
Date As Integer
State As Long
End Type

Public Type CalRecord
IsToDo As Long
DateTimeFlags As Long
Icon As Integer
Text As String * 21
End Type


Public Const GBPE_NOERROR = 0
Public Const GBPE_ALREADYOPENED = -1
Public Const GBPE_CANNOTOPENPORT = -2
Public Const GBPE_NOATRESPONSE = -3
Public Const GBPE_MUSTBEOPENED = -4
Public Const GBPE_COMMERROR = -5
Public Const GBPE_NOMEMORY = -6
Public Const GBPE_INVALIDARGS = -7

Public Declare Function InitGBPMode Lib "GBP" (ByVal PortNum As Byte) As Integer
Public Declare Function EndGBPMode Lib "GBP" () As Integer
Public Declare Function GetNVMFileSize Lib "GBP" (ByVal Sec As Byte, ByVal SubSec As Byte) As Integer
Public Declare Function ClearNVMFile Lib "GBP" (ByVal Sec As Byte, ByVal SubSec As Byte) As Integer
Public Declare Function ReadNVMFile Lib "GBP" (ByVal Sec As Byte, ByVal SubSec As Byte, ByRef OutBuf As Any, ByVal MaxLenght As Long) As Integer
Public Declare Function WriteNVMFile Lib "GBP" (ByVal Sec As Byte, ByVal SubSec As Byte, ByRef InBuf As Any, ByVal MaxLenght As Long) As Integer
Public Declare Function ClearLock Lib "GBP" () As Integer
Public Declare Function ReadPBDirectory Lib "GBP" (ByRef pbe() As pbEntry, ByVal MaxEntries As Long) As Integer
Public Declare Function ReadPBEntry Lib "GBP" (ByRef pbe As pbEntry, ByRef pbr As pbRecord) As Integer
Public Declare Function WritePBEntry Lib "GBP" (ByRef pbe As pbEntry, ByRef pbr As pbRecord) As Integer
Public Declare Function CreatePBEntry Lib "GBP" (ByRef pbe As pbEntry, ByRef pbr As pbRecord) As Integer
Public Declare Function ErasePBEntry Lib "GBP" (ByRef pbe As pbEntry) As Integer
Public Declare Function ReadCalDirectory Lib "GBP" (ByRef ce As CalEntry, ByVal MaxEntries As Long) As Integer
Public Declare Function ReadCalEntry Lib "GBP" (ByRef ce As CalEntry, ByRef cr As CalRecord) As Integer
Public Declare Function ReadCalEntry Lib "GBP" (ByRef ce As CalEntry, ByRef cr As CalRecord) As Integer
Public Declare Function WriteCalEntry Lib "GBP" (ByRef ce As CalEntry, ByRef cr As CalRecord) As Integer
Public Declare Function CreateCalEntry Lib "GBP" (ByRef ce As CalEntry, ByRef cr As CalRecord) As Integer
Public Declare Function EraseCalEntry Lib "GBP" (ByRef ce As CalEntry) As Integer

